package main

import (
	"sync"

	"go.wit.com/toolkits/tree"
)

// stores the raw toolkit internals
type guiWidget struct {
	Width  int
	Height int

	c   int
	val map[string]int
}

var initOnce sync.Once // run initPlugin() only once
var me toolkitConfig   // It's probably a terrible idea to call this 'me'

type toolkitConfig struct {
	treeRoot *tree.Node // the base of the binary tree. it should have id == 0
	myTree   *tree.TreeInfo

	exit bool
}
